Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic
Class ComparableResourcesPoolImpl

    java.lang.Object
      org.apache.slide.search.basic.ComparableResourcesPoolImpl

All Implemented Interfaces:
  ComparableResourcesPool

public class ComparableResourcesPoolImpl
extends java.lang.Object
implements ComparableResourcesPool

Represents the pool of all resources out of which the query result is computed.

Version:
  $Revision: 1.4 $

Field Summary
`protected PropertyProvider` | `propertyProvider` The PropertyProvider to use (may be `null`).

Constructor Summary
`ComparableResourcesPoolImpl(SearchToken searchToken, QueryScope scope, PropertyProvider propertyProvider)` Constructs a RequestedResourcesPool

Method Summary
`java.util.Set` | `getPool()` Method getPool
`QueryScope` | `getScope()` Returns the scope of this ResourcePool.
`boolean` | `partialResult()` Indicates if the server truncated the result set.
`java.util.Iterator` | `resourceIterator()` Method resourceIterator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyProvider

    protected PropertyProvider propertyProvider

  The PropertyProvider to use (may be `null`).

Constructor Detail

### ComparableResourcesPoolImpl

    public ComparableResourcesPoolImpl(SearchToken searchToken,
                                       QueryScope scope,
                                       PropertyProvider propertyProvider)
                                throws BadQueryException

  Constructs a RequestedResourcesPool

Parameters:
  `searchToken` - the searchToken
  `scope` - the scope of the query
  `propertyProvider` - the PropertyProvider to use (may be `null`).
Throws:
  `BadQueryException`

Method Detail

### resourceIterator

    public java.util.Iterator resourceIterator()

  Method resourceIterator

  Specified by:
    `resourceIterator` in interface `ComparableResourcesPool`
  Returns:
    an Iterator

### getPool

    public java.util.Set getPool()

  Method getPool

  Specified by:
    `getPool` in interface `ComparableResourcesPool`
  Returns:
    a Set

### partialResult

    public boolean partialResult()

  Indicates if the server truncated the result set.

  Specified by:
    `partialResult` in interface `ComparableResourcesPool`
  Returns:
    a boolean

### getScope

    public QueryScope getScope()

  Returns the scope of this ResourcePool.

  Specified by:
    `getScope` in interface `ComparableResourcesPool`
  Returns:
    the scope of this ResourcePool.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD